selecting gnome panel intlclock causes top bar and many other things to not respond

Bug #204775 reported by Tim Potter on 2008-03-21
74
Affects Status Importance Assigned to Milestone
GNOME Panel
Fix Released
Critical
evolution-data-server
Fix Released
Critical
evolution-data-server (Ubuntu)
High
Ubuntu Desktop Bugs
Hardy
High
Ubuntu Desktop Bugs
gnome-panel (Ubuntu)
High
Ubuntu Desktop Bugs
Hardy
Undecided
Unassigned

Bug Description

Binary package hint: gnome-panel

From an upgrade to the beta version of Hardy Heron, after upgrade is complete, and system has restarted.

Anytime I click on the new clock in gnome, a box appears around it as if its selected, but it does not display, and almost every function of the top bar freezes up. I cannot click on Applications Places, System, panel icons, but I can click on network manager and tracker.

Also shutdown icon fails as well, yet most times, ctrl+alt+del works in bringing up the shutdown options.

additionally, the lower bar will also stop refreshing itself, it seems that opening and closing items will not make any change to the status of the lower bar, after intlclock has been selected.

I'm not sure what other info to provide, except that I have compiz running, and the nvidia graphics drivers, and this is the amd64 build.

edit: Edited the title to remove reference to amd64.

Tim Potter (musikgoat) wrote :

I'd like to add to my findings. I had tried turning off compiz, and even my nvidia-glx-new driver, and neither fixed the issue.

I found that the only resolution to fix this issue is to right click on the clock and go to preferences, and then set a location.

Once that was accomplished, the temperature and weather icon showed next to the clock, and now clicking on the clock does not cause lockups.

I hope this helps any others that have the same problem, I consider this to still be a bug though, due to the fact that this is an undesired action.

Tim Potter (musikgoat) wrote :

one more additional note to give more detail to the error.

After every restart, the location tab of the clock preferences are not being restored, or really not displaying, When I go into preferences the location box is empty. I can see that anytime the box is empty, clicking on the clock in the top right will cause all of the symptoms that I described earlier.

The second I complete adding a new location not only does that location show, but the one or two that I have added successfully previous to the restart, also show. I cannot get anything to show until I add, meaning delete and edit buttons do nothing.

I will include a graphical step to reproduce the fix
http://www.musikgoat.com/images/StepstoreproduceClockErrorFix.png

Pedro Villavicencio (pedro) wrote :

Thanks for your bug report. Please try to obtain a backtrace of the hang http://wiki.ubuntu.com/DebuggingProgramCrash and attach the file to the bug report. This will greatly help us in tracking down your problem.

Changed in gnome-panel:
assignee: nobody → desktop-bugs
importance: Undecided → Medium
status: New → Incomplete
Tim Potter (musikgoat) wrote :

ok, attempting to use gdb didn't work
tim@Central:~$ pidof gnome-panel
6274
tim@Central:~$ gdb 2>&1 | tee gdb-gnome-panel.txt
GNU gdb 6.7.1-debian
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
(gdb) handle SIG33 pass nostop noprint
Signal Stop Print Pass to program Description
SIG33 No No Yes Real-time event 33
(gdb) set pagination 0
(gdb) attach 6274
Attaching to process 6274
ptrace: Operation not permitted.
(gdb) continue
The program is not being run.
(gdb) quit

so then I tried killing the process and of course a watchdog restarted it
any suggestions on how to do this?

Tim Potter (musikgoat) wrote :

I'd like to add though, that the issue can only be replicated in the first process of gnome-panel...

That is, I can replicate it after start up, but if I kill the process

tim@Central:~$ ps -aux | grep gnome-panel
tim 6292 3.6 1.1 338612 24528 ? S 22:03 0:00 gnome-panel --sm-client-id default1
tim 6507 0.0 0.0 5168 852 pts/0 S+ 22:04 0:00 grep gnome-panel
tim@Central:~$ kill 6292

then I cannot replicate the issue.

The process that is restarted is the following
tim 6516 0.6 1.3 408444 28864 ? Sl 21:52 0:02 gnome-panel --sm-client-id 117f000101000120624064700000061820000 --screen 0

Sebastien Bacher (seb128) wrote :

could you try again to get a stacktrace? that should be working using the new versions

Sebastien Bacher (seb128) wrote :

could you also describe easy steps to trigger the bug on a stock installation?

Changed in gnome-panel:
importance: Medium → Low
Tim Potter (musikgoat) wrote :

There is not really much in terms of steps.

Start Ubuntu
Login
Click on the Clock

This is on an ubgrade from gutsy to hardy.

ulrich (ulrich) wrote :

the same happens on my system.
2.6.24-15-generic #1 SMP Fri Apr 4 03:48:31 UTC 2008 i686 GNU/Linux

when left-clicking the clock, both top und bottom panel freeze.
also, adding a place to the applet works, but the data isn't saved.

Tim Potter (musikgoat) wrote :

Ulrich, is it the case that the City is not saved, but when you add another city, the old cities that were selected show up?

As this is what I'm seeing each time.

Tim Potter (musikgoat) wrote :

I forgot to say that for the stack trace, The last line is where I clicked on the clock to lock up the panel. It seems that locking up the panel caused strace to not get any more feedback. I then ended the debugging.

Peter Garrett (peter-garrett) wrote :

I don't think this should have "Importance: low"

I am seeing this too - unfortunately selecting the applet freezes the whole gnome-panel, and I don;t think Aunt Tilly has nautilus-open-terminal installed, or would know how to get a tty and kill the process :)

There will be a lot of unhappy inexperienced people if this is not sorted out... :)

Tim Potter (musikgoat) wrote :

There has been an update to the gnome-panel that has "mostly" fixed this issue.

https://launchpad.net/ubuntu/hardy/+source/gnome-panel/1:2.22.1-0ubuntu1

    - Fix locations not appearing in the preferences dialog

But I have noticed that its only fixed after a period of time from start. I can reproduce this issue when the system has just recently started, but after a few minutes, the issue cannot be reproduced.

Peter, do you have the latest updates to the hardy beta?

I can only assume that its set to low because someone of importance hasn't changed the incomplete flag from when I didn't attach my strace, but only 3 of us have identified it.

Sebastien Bacher (seb128) wrote :

the importance is low because almost nobody is having the issue and the bug has not enough details to be useful

AB (aberte) wrote :

I have the same problem.

I suppose it can be caused by ntp. When I click the clock, and I have no connection to Internet, the panel freezes.
Maybe is that.

AB (aberte) wrote :

I have reported this issue, but I can't find the post

cafilubu (cafilubuma) wrote :

I have seen this problem using the RC of Hardy 32 bits updated to 2008-04-18 updates, for me it only happens when I add a city and then click on the clock after a fresh login, with no city selected I can clic the clock and no lockups for the panel gonna see howto make a report of this, also only happens in the first login If then Ctrl + Alt + backspace, and login again no problems at all.

jiu (jacques-charroy) wrote :

appears similar to: https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/202569
for those who have a google calendar added to evolution, try removing it. it solved the problem for me (until a real fix is found)

Flávio Martins (xhaker) wrote :

This has to be High in the queue people.
Even if there is information missing, the steps to reproduce are nothing more than clicking the intlclock panel applet.
That eventually crashes your panel, and John Doe will not be happy.

I'm getting these crashes, I simply kill gnome-panel after it happens. I don't want to have a mental note, not to click that applet anymore.
I didn't saw myself teaching my girlfriend to kill the gnome-panel either, but that's what I did.
Sorry, I don't have any traces for you yet.

Changed in gnome-panel:
importance: Low → High
milestone: none → ubuntu-8.04.1
Flávio Martins (xhaker) on 2008-04-26
description: updated

changing the settings will not make the bug being worked faster if you don't provide the required informations though

Stefan Krämer (st-kraemer) wrote :

I have the same problem. I haven't had when I booted the first time after installation. There's is probably an interference with a package I added later....

Flávio Martins (xhaker) wrote :

@ Sebastian
I was planning on attaching the information needed, hence "Sorry, I don't have any traces for you yet."

I used strace on the first gnome-panel instance after a boot. A gnome-panel respawn will not crash apparently.
The log is attached.

If a backtrace would be more useful, please someone tell me what process should I attach in gdb, gnome-panel doesn't seem to do it. (after hanging nothing is printed)

Tim Potter (musikgoat) wrote :

I agree. When I ran the stacktrace, the output stopped immediately once clicking on the clock.

Sebastien Bacher (seb128) wrote :

when the gnome-panel hangs you can run sudo "gdb --pid $(pidof gnome-panel)" to attach gdb to it and then "thread apply all bt full" to get the stracktrace

Ricardo Solano (rickman) wrote :

Hi all,
I get exactly the same error on a clean install of Hardy. Selecting the clock applet right after startup causes gnome-panel to become unresponsive. It also seems to crash the network manager applet.

Attached is the stacktrace generated as per your instructions. Hope it helps.

If you need any more details please let me know.

Flávio Martins (xhaker) wrote :

Managed to get a good backtrace.

Sebastien Bacher (seb128) wrote :

the stacktrace seems to indicate that evolution-data-server crashed, could you attach gdb to it before opening the clock applet and not if there is a crash there?

Yesterday, after booting Ubuntu Feisty, I discovered I had a totally
different desktop!

It had different icons, as well as functions. Had a drop down menu for
apps beside the normal one. I just went along for the ride. Thought it
might have been an update to some newer version.

Then today, everything was back to normal more or less. Still having
problems with workspace. Cannot drag or shrink windows. ( last night I
could ) Workspace will not switch ( not that it really matters to me )

I am not a computer geek, so sorry for not explaining my bug problems
better.

Ken Sturmer
<email address hidden>

Here goes another stacktrace.
This time from evolution-data-server, it does indeed crash.
Hope it helps Sebastian.

Sebastien Bacher (seb128) wrote :

what architecture are you using?

Evgeny Kuznetsov (nekr0z) wrote :

amd64

But now I seem to have located the cause of the trouble, which is "Birthdays & Anniversaries" calendar in Evolution. This calendar somehow stopped working after enabling Compiz Fusion (yes, I know they are hardly connected, but it worked in the morning, and all I did on my computer since that was enable Compiz), and the Clock applet was trying to show the data from that calendar and hanged half the system every time I clicked it.

After unchecking the problematic calendar in Evolution (which was real pain to do, since Evo tends to hang each time I ever click somewhere near that calendar) Clock applet works seamlessly again.

Ryan Steele (rgsteele) wrote :

I'm running Hardy on x86 and I'm experiencing the same issue. I can provide a stacktrace as well if that will help.

I'm using x86, this might not be arch specific.
I am also not using evolution at all. No calendars, accounts, nothing!
A clean install will trigger this bug.

Sorry, I also forgot to mention that I have added a Google Calendar in Evolution. When I go into Evolution and remove the check mark next to it (so that it is not displayed) the problem does not occur.

evilblujedi (evilblujedi) wrote :

I'm running AMD64 and have upgraded from Gutsy. I do not, nor have I ever, used Evolution, but I still have the problem.

Sebastien Bacher (seb128) wrote :

Thanks for your work on that, could you try to run evolution-data-server using G_SLICE=always-malloc G_DEBUG=gc-friendly and maybe try to get a valgrind log as explained on https://wiki.ubuntu.com/Valgrind? You can run evolution --force-shutdown to stop the running instance and then start a new one

Evgeny Kuznetsov (nekr0z) wrote :

I'm terribly sorry, Sebastian, but after a reboot today in the morning everything started to work seamlessly again (logoff/logon didn't help, I tried it several times yesterday). I don't even know how to reproduce the bug again. Right now it works as a charm, exactly like it did before.

Sebastien Bacher (seb128) wrote :

Running evolution-data-server under valgrind spotted an obvious error, I've sent this upstream to http://bugzilla.gnome.org/show_bug.cgi?id=530323. Whoever gets the bug, do you have contacts configured in evolution?

Changed in evolution-data-server:
assignee: nobody → desktop-bugs
importance: Undecided → High
status: New → Triaged
Sebastien Bacher (seb128) wrote :

running e-d-s under valgrind showed this error

==6873== Invalid free() / delete / delete[]
==6873== at 0x4C22B2E: free (vg_replace_malloc.c:323)
==6873== by 0x8FB3165: g_slice_free_chain_with_offset (gslice.c:961)
==6873== by 0xEC9AC05: add_source (e-cal-backend-contacts.c:108)
==6873== by 0xEC9AD6A: source_group_added_cb (e-cal-backend-contacts.c:299)
==6873== by 0xEC9AE9E: e_cal_backend_contacts_open (e-cal-backend-contacts.c:751)
==6873== by 0x69D415A: e_cal_backend_sync_open (e-cal-backend-sync.c:186)
==6873== by 0x69D425F: _e_cal_backend_open (e-cal-backend-sync.c:706)
==6873== by 0x8292755: ORBit_small_invoke_adaptor (orbit-small.c:844)
==6873== by 0x82A191D: ORBit_POAObject_handle_request (poa.c:1351)
==6873== by 0x82A1ED9: ORBit_POAObject_invoke_incoming_request (poa.c:1421)
==6873== by 0x828BAB4: giop_thread_queue_process (giop.c:771)
==6873== by 0x828C24E: giop_request_handler_thread (giop.c:481)
==6873== by 0x8FBEBF6: g_thread_pool_thread_proxy (gthreadpool.c:265)
==6873== by 0x8FBD053: g_thread_create_proxy (gthread.c:635)
==6873== by 0x9A6D3F6: start_thread (in /lib/libpthread-2.7.so)
==6873== by 0x9D5AB2C: clone (in /lib/libc-2.7.so)
==6873== Address 0xcf36608 is 0 bytes inside a block of size 24 free'd
==6873== at 0x4C22B2E: free (vg_replace_malloc.c:323)
==6873== by 0x8FB3165: g_slice_free_chain_with_offset (gslice.c:961)
==6873== by 0xEC9ABEB: add_source (e-cal-backend-contacts.c:105)
==6873== by 0xEC9AD6A: source_group_added_cb (e-cal-backend-contacts.c:299)
==6873== by 0xEC9AE9E: e_cal_backend_contacts_open (e-cal-backend-contacts.c:751)
==6873== by 0x69D415A: e_cal_backend_sync_open (e-cal-backend-sync.c:186)
==6873== by 0x69D425F: _e_cal_backend_open (e-cal-backend-sync.c:706)
==6873== by 0x8292755: ORBit_small_invoke_adaptor (orbit-small.c:844)
==6873== by 0x82A191D: ORBit_POAObject_handle_request (poa.c:1351)
==6873== by 0x82A1ED9: ORBit_POAObject_invoke_incoming_request (poa.c:1421)
==6873== by 0x828BAB4: giop_thread_queue_process (giop.c:771)
==6873== by 0x828C24E: giop_request_handler_thread (giop.c:481)
==6873== by 0x8FBEBF6: g_thread_pool_thread_proxy (gthreadpool.c:265)
==6873== by 0x8FBD053: g_thread_create_proxy (gthread.c:635)
==6873== by 0x9A6D3F6: start_thread (in /lib/libpthread-2.7.so)
==6873== by 0x9D5AB2C: clone (in /lib/libc-2.7.so)

the corresponding code has an obvious double free on the fields variable

Sebastien Bacher (seb128) wrote :

The debdiff for the hardy sru upload

Changed in evolution-data-server:
assignee: nobody → desktop-bugs
importance: Undecided → High
status: New → Triaged
Ryan Steele (rgsteele) wrote :

I do not have contacts configured in Evolution, other than the default "Personal" folder, which is empty.

Like Evgeny, I am unable to reproduce the bug this morning. (Perhaps it is dependant on the time of day?)

evilblujedi (evilblujedi) wrote :

I also can't reproduce the bug this morning.

Flávio Martins (xhaker) wrote :

Added a relation to this bug.
A bug that was fixed on gnome-panel 2.22.1.3 which is not yet in Ubuntu seems to fix some crashes for amd64 users.

Sebastien Bacher (seb128) wrote :

the gnome-panel fix mentionned before has been backported already and is in the ubuntu version

Changed in gnome-panel:
status: Unknown → Fix Released
Changed in evolution-data-server:
status: Unknown → Fix Released
Tim Potter (musikgoat) wrote :

I would like to comment that after building evolution-data-server with the applied debdiff, that the issue is gone. Good work Sebastien and everyone. Thanks for the fix.

Martin Pitt (pitti) wrote :

Accepted into hardy-proposed, please test.

Changed in evolution-data-server:
status: Triaged → Fix Committed
Martin Pitt (pitti) wrote :

According to comment 45, gnome-panel is already fixed.

Changed in gnome-panel:
status: New → Fix Released
status: Incomplete → Fix Released
johanpdx (johanpdx) wrote :

After updating today, I still experience this bug. Left-clicking on gnome-panel clock causes panels (top and bottom) to freeze to left-click selections, while still permitting right-click menu selections. Shutdown icon unresponsive. Desktop switcher unresponsive. Eyeballs continue to track cursor! Ctrl-alt-del eventually shuts down; it's faster to go into terminal mode to do that. Doesn't matter if evolution is active or not. All programs that are already active on the desktop continue to work fine.

I'm too new to know how to log data for this bug. Please give me or point me to exact instructions (no insider shorthand!) and I'd be glad to try. (I'm not scared to use the terminal--I just don't know my way around yet. I'm a Windows veteran who broke away a month ago.)

Other information, relevant or not: Ubuntu Linux 8.04, Intel Centrino (32 bit), Sony Vaio, nearly daily updates for the last month. This bug began after an update; before that, I was able to use the clock, except that I couldn't get tasks to load.

Tim Potter (musikgoat) wrote :

Johanpdx, The fix is not in the repositories for download yet.

If you are interested in recompiling the evolution-data-server package, you can follow the steps here to build with Sebastien's DebDiff file above.

https://wiki.ubuntu.com/UbuntuPackagingGuide/BuildFromDebdiff

For the package name, use evolution-data-server and for the debdiff use this url:
http://launchpadlibrarian.net/13986760/eds.debdiff

If you have problems, the forums and irc should help easily, or you can email me. Keep in mind that the command debuild will take quite a while for this package.

-tim

Sebastien Bacher (seb128) wrote :

the update has been in hardy-proposed and should be available there, you need to enable this source though

johanpdx (johanpdx) wrote :

Thanks for both of the responses above.

I seem to have the most recent packages. (Just checked to be sure 'hardy-proposed' is included among the update sources.)

When I get some time I'll try the solution mentioned by tim.

--Johan

Ryan Steele (rgsteele) wrote :

Johanpdx, check the version number of evolution-data-server in Synaptec. If you have the proposed update the version number will be 2.22.1-0ubuntu2.1.

I can confirm that I have the proposed update and am not seeing the issue anymore, but I was unable to reproduce the problem yesterday, even before installing the update.

hii ware ken i subscribe my zelf of the mailing list ?
----- Original Message -----
From: "Ryan Steele" <email address hidden>
To: <email address hidden>
Sent: Wednesday, April 30, 2008 3:40 AM
Subject: [Bug 204775] Re: selecting gnome panel intlclock causes top bar
andmany other things to not respond

Johanpdx, check the version number of evolution-data-server in Synaptec.
If you have the proposed update the version number will be
2.22.1-0ubuntu2.1.

I can confirm that I have the proposed update and am not seeing the
issue anymore, but I was unable to reproduce the problem yesterday, even
before installing the update.

--
selecting gnome panel intlclock causes top bar and many other things to not
respond
https://bugs.launchpad.net/bugs/204775
You received this bug notification because you are subscribed to gnome-
panel in ubuntu.

Status in Evolution Data Server: Fix Released
Status in The GNOME 2 Panel: Fix Released
Status in Source Package "evolution-data-server" in Ubuntu: Triaged
Status in Source Package "gnome-panel" in Ubuntu: Fix Released
Status in evolution-data-server in Ubuntu Hardy: Fix Committed
Status in gnome-panel in Ubuntu Hardy: Fix Released

Bug description:
Binary package hint: gnome-panel

>From an upgrade to the beta version of Hardy Heron, after upgrade is
>complete, and system has restarted.

Anytime I click on the new clock in gnome, a box appears around it as if its
selected, but it does not display, and almost every function of the top bar
freezes up. I cannot click on Applications Places, System, panel icons,
but I can click on network manager and tracker.

Also shutdown icon fails as well, yet most times, ctrl+alt+del works in
bringing up the shutdown options.

additionally, the lower bar will also stop refreshing itself, it seems
that opening and closing items will not make any change to the status of the
lower bar, after intlclock has been selected.

I'm not sure what other info to provide, except that I have compiz running,
and the nvidia graphics drivers, and this is the amd64 build.

edit: Edited the title to remove reference to amd64.

johanpdx (johanpdx) wrote :

Thanks for your patience with my stubborn version of the bug, but now it seems to work fine!! It hesitated, and my heart fell, but then it unfurled just as it should, and furled up again when I reclicked the button. All my earlier settings are gone, but the new ones work fine.

I do have that most recent version of the evolution-data-server package.

Thanks, everyone!

Johan

PS: And somehow my other bug (Firefox evaporating when clicking on embedded videos) also seems to have gone. Coincidence? Anyway, I'm a happy newbie.

Martin Pitt (pitti) wrote :

I have used the packages for some days now as well, without any problem or regression (my clock applet didn't crash before either, though). This makes three successful testers now, marking as verified.

Matthias Rosenkranz (rose) wrote :

I still get a delay with today's update from hardy-proposed when I click on the date applet while my Google Calendar is enabled. If I disable Google, intlclock opens immediately. To confirm I also removed and readded the Google Calendar. The delay seems to be shorter than before the update, though. Another problem is that the dates in Google are not summarised under Appointments in the applet (but show up in the form of bold days in the calendar), whereas local calendar dates are. This is on amd64.

johanpdx (johanpdx) wrote :

Well, not sure what to say.

The clock worked yesterday--unscrolled correctly after a brief hesitation--but today the panels froze as before, and the shutdown icon was inactive. (Interestingly, the update icon worked!) Now, after installing today's updates, I've rebooted and I just pushed the clock button again, and again the upper and lower panels are frozen, mostly. The keyboard toggle still works--toggling from USA to RUS (Cyrillic) keyboard--and I can change the volume, but can't start new applications or use desktop switcher or shut down As you can see, the active application (Firefox, on which I'm typing this e-mail) is working fine. The button remains in its depressed (shaded) position.

Yesterday, I had been working for several hours before trying the clock and finding that it worked OK, whereas these are my first few minutes on the computer today. Can't for the life of me think of what I did differently, otherwise.

--Your mystified penguin admirer, Johan

@johanpdx and possibly others
Please make sure you are using the fixed package.

Enter this in a terminal:
 dpkg -s evolution-data-server | grep Version

The output should be:
 Version: 2.22.1-0ubuntu2.1

Matthias Rosenkranz (rose) wrote :

@Flavio: Yes, I made sure to use the version from hardy-proposed, which currently is 2.22.1-0ubuntu2.1 (confirmed it with dpkg). I restarted X and checked that the previous evolution-data-server had been shutdown and the new one loaded in between.

johanpdx (johanpdx) wrote :

Verified per Flavio's instructions. Frozen again.

--Johan

mb (maxbloemer) wrote :

I can confirm this: GNOME crashes when clicking panel-clock and having a google-calendar connected in evolution.

Martin Pitt (pitti) wrote :

Copied to hardy-updates.

For everyone who still got the hang with the packages from hardy-proposed, please file a new report, since that must be a different reason.

Changed in evolution-data-server:
status: Fix Committed → Fix Released
Evgeny Kuznetsov (nekr0z) wrote :

Is hardy-proposed safe to use on production systems?

Martin Pitt (pitti) wrote :

Evgeny: We only put approved stuff into hardy-proposed, i. e. packages which are actually meant to reach -updates after 7 days. But we can never rule out miscompilations or other unforeseen complications, that's why we have -proposed.

You should not generally enable it on all production systems out there, but it greatly helps to have one or two systems running with -proposed to report possible problems early and confirm bug fixes.

In this particular case, the package is in hardy-updates now, so you can test it there.

Matthias Rosenkranz (rose) wrote :

I opened a bug in gnome-panel regarding this a few days ago (with emphasis on the connection to Google Calendar). I've also set "also affects" to evolution-data-server now. See bug #225199.

antonioni (antonioni-rocha) wrote :

Waitting it.

cafilubu (cafilubuma) wrote :

I updated since it was in hardy- proposed and worked, no more problems

Martin Pitt (pitti) wrote :

Needs to be applied to Intrepid ASAP.

Changed in evolution-data-server:
milestone: none → intrepid-alpha-2

This same bug occured on my Ubuntu system (8.04). It was gone for a couple of months (weeks?). But now it is back suddenly. I always apply the lates updates to my system.
If I click on the Clock applet, the desktop freezes. It can be solved bij opening a terminal (for instance with Ctrl+Alt+F2), and killing the gnome-panel process. After refreshing the panels on the original desktop everything works fine again.
It seems that one of the most recent updates reintroduced this bug?

If you want more information, please let me know.

Hi Mart,

On Mon, Jul 14, 2008 at 11:17:09AM -0000, Mart van Ineveld wrote:
> This same bug occured on my Ubuntu system (8.04). It was gone for a couple
> of months (weeks?). But now it is back suddenly. I always apply the lates
> updates to my system.
> If I click on the Clock applet, the desktop freezes. It can be solved bij
> opening a terminal (for instance with Ctrl+Alt+F2), and killing the
> gnome-panel process. After refreshing the panels on the original desktop
> everything works fine again.
> It seems that one of the most recent updates reintroduced this bug?

> If you want more information, please let me know.

This bug is believed resolved as of gnome-panel 1:2.22.1.2-0ubuntu3. There
have been two stable release updates of gnome-panel since that time, but the
most recent of these was at the beginning of June and no regressions have
been reported since then (until now).

If the freeze clears itself after a restart, that also doesn't appear to be
consistent with this bug. It's possible that an update of a separate
package "confused" gnome-panel and caused the freeze; I've seen this
behavior myself before on upgrades but it was never reproducible and was not
pinned down. I would suggest that you open a separate bug report for
tracking this issue.

Cheers,
--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

C de-Avillez (hggdh2) wrote :

Marking as fix released. Any new such freeze will be caused by some other reason, so it will warrant a new bug.

Changed in evolution-data-server:
status: Triaged → Fix Released
elkanguro (elkanguro) wrote :

Hi, I have got the same issue but I do not use Google Calendar. The Gnome-panel does not freeze only when I kill evolution-data-server. I use Ubuntu 8.10 i386.

Patricio (patricio-stwing) wrote :

Clock 2.26.0 also freezes gnome in Jaunty. Should I open a new bug for it or it is considered the same? I killed evolution and gained control back.
Thanks!

Changed in evolution-data-server:
importance: Unknown → Critical
Changed in gnome-panel:
importance: Unknown → Critical
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.